Get User Info In Organization 1
Get the user details.
Use these APIs instead:
- /scim/v2/Users
- /scim/v2/Groups
- /cloudapi/1.0.0/orgs
Currently one user can belong to exactly one organization.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ❌ |
| Service Account (Whitelisted Client) | ❌ |
Request
URI
GET
https://{vcfa-fqdn}/csp/gateway/am/api/users/{acct}/orgs/{orgId}/info
COPY
Path Parameters
string
acct
Required
acct
string
orgId
Required
orgId
Responses
200
OK
Returns
UserInfo
of type(s)
*/*
{
"user": {
"id": "string",
"firstName": "string",
"lastName": "string",
"username": "string",
"acct": "string",
"password": "string",
"email": "string",
"refLink": "string",
"groups": [
"string"
],
"userProfile": {
"defaultOrgId": "string",
"isFederated": false,
"linkedUserIdAccount": "string",
"customerNumber": "string",
"locale": "string",
"language": "string"
},
"managerId": "string"
},
"userOrgInfo": [
{
"displayName": "string",
"name": "string",
"orgRoles": [
{
"id": "string",
"createdMillis": 0,
"updatedMillis": 0,
"name": "string",
"displayName": "string",
"orgId": "string",
"visible": false,
"organizationLink": "string",
"refLink": "string",
"userIds": [
"string"
],
"groupIds": [
"string"
]
}
],
"servicesDef": [
{
"refLink": "string",
"serviceDisplayName": "string",
"serviceName": "string",
"serviceRoles": [
"string"
]
}
]
}
]
}
401
The user is not authorized to use the API.
Returns
UserInfo
of type(s)
*/*
{
"user": {
"id": "string",
"firstName": "string",
"lastName": "string",
"username": "string",
"acct": "string",
"password": "string",
"email": "string",
"refLink": "string",
"groups": [
"string"
],
"userProfile": {
"defaultOrgId": "string",
"isFederated": false,
"linkedUserIdAccount": "string",
"customerNumber": "string",
"locale": "string",
"language": "string"
},
"managerId": "string"
},
"userOrgInfo": [
{
"displayName": "string",
"name": "string",
"orgRoles": [
{
"id": "string",
"createdMillis": 0,
"updatedMillis": 0,
"name": "string",
"displayName": "string",
"orgId": "string",
"visible": false,
"organizationLink": "string",
"refLink": "string",
"userIds": [
"string"
],
"groupIds": [
"string"
]
}
],
"servicesDef": [
{
"refLink": "string",
"serviceDisplayName": "string",
"serviceName": "string",
"serviceRoles": [
"string"
]
}
]
}
]
}
404
The user is not found.
Returns
UserInfo
of type(s)
*/*
"UserInfo Object"
object
user
Optional
user
array of
object
userOrgInfo
Optional
userOrgInfo
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/users/{acct}/orgs/{orgId}/info
Deprecated
User Controller Operations
GET
Get User Service Roles In Organization 1
Deprecated
PATCH
Patch User Service Roles In Organization
Deprecated
GET
Get User Roles In Organization 1
Deprecated
PATCH
Patch User Roles In Organization
Deprecated
GET
Get User Roles On Org With Group Info
Deprecated
GET
Get User In Any Organization 1
Deprecated
GET
Get User Info In Organization 1
Deprecated